#!/usr/bin/perl

open (INPUT, "../sample_files/ecoli_orfs.txt") || die "cannot open file";
# opens the file to read, with the filehandle "INPUT"
# Whenever we write "INPUT" in the program it will look at the file we're pointing to here.
# The ".." tells perl to look "up" one folder to locate the "sample_files" folder

open (OUTPUT, ">../sample_files/sample_output.txt") || die "cannot open file";
# opens the file to write with the filehandle "OUTPUT"
# The single ">" character before the filename means it's open for writing
# if there were something already in this file it would be overwritten
# if we use ">>" before the filename it would be opened to append, which would not
# overwrite the existing file but append to it.

while (<INPUT>) {
# executes what's in the curly brackets on each line of "INPUT"
# until it reaches the end of the file

print "\nWhole line:\n";
print $_;
# prints the line taken from the file "INPUT"
# the "$_" variable is the system variable.
# It is used automatically when no variable is explicitly defined.

chomp; # removes the newline character
@field = split(/\t/,$_);
# breaks up the line at all of the tab characters
# assigns the pieces to the array "field"

print "\nSelected fields:";
print "\t$field[4]\t$field[9]\n\n";
# prints the 5th and 10th members of the array
# remember we count members of the array starting at zero

print OUTPUT "$field[4]\t$field[9]\n";
# same thing as the last print statement except we printed it to the file "OUTPUT"
# Open up the file "sample_output.txt" and have a look!
}

close INPUT;
close OUTPUT;
# close the two files that were used