#!/usr/bin/perl

$string = "We wish to suggest a structure for the salt of deoxyribose nucleic acid (D.N.A.).";

print "\nOriginal string:";
print "\n$string\n";

$length = length($string);
# calculates the length of the string
print "\nSentence length: $length";

$sugar = substr $string,46,12;
# extracts 12 letters starting at the 42nd position of $string
print "\nSugar: $sugar";

# String matching
if ($string =~ /acid/) {
print "\nSentence contains acid";
}

# String substitution
$string =~ s/D/R/;
# substitutes "D" with "R"
$string =~ s/deoxy//;
# substitutes "deoxy" with nothing

print "\n\nModified string:";
print "\n$string";

$count_letter_r = $string =~ s/r//gi;
# counts number of times the "r" substitution takes place
# the "g" makes it global so it doesn't stop after the first "r" is found
# the "i" at the end makes the match case insensitive
# Be careful though, because we modified teh original string by doing this count!
print "\n\nThis sentence contains $count_letter_r r's\n";

# Perl has a very large set of string manipulations and regular expressions
# See Chapter 7 of Learning Perl for more information